
Application: gvSIG desktop - gvSIG bugs #5269
Fallo en la codificación de los nombres de los elementos tras acceder a una búsqueda histórica 
mediante la pestaña del histórico de búsquedas.
05/12/2020 08:05 PM - José Olivas

Status: Outdated % Done: 0%
Priority: Low Spent time: 0.00 hour
Assignee:
Category: Document table
Target version:
Severity: Minor Add-on version:
gvSIG version: 2.5.1 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Tras seleccionar una búsqueda en el histórico de búsquedas de la ficha de búsquedas, si el nombre del elemento presenta
caracteres especiales como la tilde los campos de la ficha de búsqueda se rellenan con el nombre presentando ? en el carácter
asociado a la tilde.

Para duplicar error;
1.- Cargar capa adjunta esp_provincias.shp.  
2.- Abrir la ficha de búsqueda y realizar la búsqueda simple NOMBRE99 Igual a Almería.
3.- Reiniciar software.
4.- Cargar capa de nuevo y abrir la ficha de búsqueda.
5.- Utilizar el icono del histórico de búsquedas y seleccionar la búsqueda realizada anteriormente.
6.- Visualizar como el campo donde de muestra el valor de NOMBRE99 Igual a presenta Almer?a. (Se adjunta imagen 01.png)

History
#1 - 05/12/2020 08:05 PM - José Olivas
- Target version set to 2.5.1-3023

#2 - 05/13/2020 04:33 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3023 to 2.5.1-3044

Probablemente esto afecte a la persistencia de "org.gvsig.tools.persistence", que no soporta encoding.

#3 - 05/13/2020 06:20 PM - Joaquín  del Cerro Murciano
- Priority changed from Normal to Low

#4 - 06/09/2020 12:19 PM - Álvaro Anguix
- Target version deleted (2.5.1-3044)

#5 - 08/03/2023 02:30 PM - Álvaro Anguix
- Category set to Document table

#6 - 08/04/2023 10:48 AM - Álvaro Anguix
- Status changed from New to Outdated

Files
esp_provincias.dbf 22.6 KB 05/12/2020 José Olivas
esp_provincias.shx 1 KB 05/12/2020 José Olivas
esp_provincias.shp 719 KB 05/12/2020 José Olivas
01.png 65.4 KB 05/12/2020 José Olivas
